/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.sss.util.log;

/**
 * Interface defining some logging methods for applications.
 *
 * logIt and debugOut provide ways of getting messages onto the container
 * log. They are generally informational messages at a certain level of
 * urgency.
 *
 * @author Mike Douglass  douglm@rpi.edu
 */
public interface AppLogger {
  /** Log an informational message.
   *
   * @param msg     String message to log
   */
  public void logIt(String msg);

  /** Log an informational message.
   *
   * @param msg     String message to log
   */
  public void debugOut(String msg);

}

