<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%@ taglib uri='struts-genurl' prefix='genurl' %>

<% String title = "Events Calendar Management"; %>
<logic:equal name="peForm" property="userAuth.superUser" value="true" >
  <% title = "Events Calendar Administration"; %>
</logic:equal>

<jsp:include page="menuHeader.jsp">
  <jsp:param name="title" value="<%=title%>"/>
</jsp:include>

<%--  Non admin segment of the page --%>
<h2 class="menuTitle">Main Menu</h2>
<table id="mainMenuTable">
  <tr>
    <th>Events</th>
      <td>
        <genurl:link page="/events.do?initAddEvent=yes" >
          Add
        </genurl:link>
      </td>
      <td>
        <genurl:link page="/events.do?listUpdateEvents=yes" >
          Edit / Delete
        </genurl:link>
      </td>
    </td>
    <td>
      Event ID:
      <genurl:form action="events.do?action=fetch">
        <html:text property="event.id" size="6" />
        <html:submit value="go" />
      </genurl:form>
    </td>
  </tr>
  <logic:equal name="peForm" property="userAuth.alertUser" value="true" >
    <tr>
      <th>Alerts</th>
      <td>
        <genurl:link page="/alerts.do?initAddAlert=yes" >
          Add
        </genurl:link>
      </td>
      <td>
        <genurl:link page="/alerts.do?listUpdateAlerts=yes" >
          Edit / Delete
        </genurl:link>
      </td>
    </tr>
  </logic:equal>
  <tr>
    <th>Contacts</th>
    <td>
      <genurl:link page="/sponsors.do?initAddSponsor=yes" >
        Add
      </genurl:link>
    </td>
    <td>
      <genurl:link page="/sponsors.do?listUpdateSponsors=yes" >
        Edit / Delete
      </genurl:link>
    </td>
  </tr>
  <tr>
    <th>Locations</th>
    <td>
      <genurl:link page="/locations.do?initAddLocation=yes" >
        Add
      </genurl:link>
    </td>
    <td>
      <genurl:link page="/locations.do?listUpdateLocations=yes" >
        Edit / Delete
      </genurl:link>
    </td>
  </tr>
</table>


<%--  Content admin and super user segment of the page.
     Super user will have content admin access. --%>

<logic:equal name="peForm" property="userAuth.contentAdminUser" value="true" >
  <h2 class="menuTitle">Administrator's Menu</h2>
  <table id="adminMenuTable">
    <logic:equal name="peForm" property="userAuth.superUser"
                 value="true" >
      <logic:equal name="peForm" property="adminGroupMaintOK"
                   value="true" >
        <tr>
          <th>Admin Groups</th>
          <td>
            <genurl:link page="/admingroups.do?listAdminGroups=yes" >
              List Admin Groups
            </genurl:link>
          </td>
        </tr>
      </logic:equal>
      <logic:equal name="peForm" property="userMaintOK" value="true" >
        <tr>
          <th>Authorised Users</th>
          <td>
            <genurl:form action="auth.do">
              user:&nbsp;<html:text property="authUserId" size="15" />
              <html:submit property="fetch" value="Update Auth" />
            </genurl:form>
          </td>
          <td>
            <genurl:link page="/auth.do?listUpdateAuth=yes" >
              List Authorised
            </genurl:link>
          </td>
        </tr>
      </logic:equal>
      <tr>
        <th>Calendars</th>
        <td>
          <genurl:link page="/calendars.do?initAddCalendars=yes" >
            Add (all)
          </genurl:link>
        </td>
      </tr>
    </logic:equal>
    <tr>
      <th>Keywords</th>
      <td>
        <genurl:link page="/keywords.do?initAddKeyword=yes" >
          Add
        </genurl:link>
      </td>
      <td>
        <genurl:link page="/keywords.do?listUpdateKeywords=yes" >
          Edit / Delete
        </genurl:link>
      </td>
    <tr>
    <%-- <tr>
      <th>Administer for:</th>
      <td>
        <genurl:form action="setup.do">
          user:&nbsp;
          <html:text property="adminUserId" size="15" /><br/>
          <html:submit property="setAdminId" value="Switch User" />
        </genurl:form>
      </td>
    </tr> --%>
    <tr>
      <th>Groups</th>
      <td>
        <genurl:link page="/admingroups.do?initSwitchGroup=yes" >
          Choose group...
        </genurl:link>
      </td>
    </tr>
  </table>
</logic:equal>

<%@include file="footer.jsp"%>

