// java

package edu.washington.cac.calendar.db;

/** common "order by" clauses 
  @author Greg Barnes
  @version 1.1
 */
class OrderBys 
{
  /** Fields to order calendars by */
  private static final Field[] CALENDAR_ORDERBY_FIELDS = 
  {
    Fields.CCALENDAR_ID
  };

  /** Orderby for a query that returns calendars */
  static final OrderBy CALENDAR_ORDERBY = new OrderBy(CALENDAR_ORDERBY_FIELDS);

  // sorting takes place on our end anyway, so why bother?

  /** Orderby for a query that returns events */
  static OrderBy EVENT_ORDERBY = new OrderBy();

  /** Orderby for a query that returns keywords */
  // similarly, why bother ordering?
  static final OrderBy KEYWORD_ORDERBY = new OrderBy();

  /** Orderby for a query that returns locations */
  static final OrderBy LOCATION_ORDERBY = new OrderBy();

  /** Orderby for a query that returns sponsors */
  static final OrderBy SPONSOR_ORDERBY = new OrderBy();

  public static void main(String[] args) {
    System.out.println(CALENDAR_ORDERBY.toString());
    System.out.println(EVENT_ORDERBY.toString());
    System.out.println(KEYWORD_ORDERBY.toString());
    System.out.println(LOCATION_ORDERBY.toString());
    System.out.println(SPONSOR_ORDERBY.toString());
  }
}
