package edu.washington.cac.calfacade.shared;

import java.io.Serializable;

/** Save a modified copy of an event for a synchronising user.
 *
 *  @author Mike Douglass douglm@rpi.edu
 *  @version 1.0
 */
public class SynchDataVO implements Serializable {
  private int userid;

  /** The user */
  private UserVO user;

  private int eventId;

  private String eventData;

  public SynchDataVO() {
  }

  public SynchDataVO(UserVO user,
                     int eventId,
                     String eventData) {
    this.user = user;
    if (user != null) {
      this.userid = user.getId();
    }
    this.eventId = eventId;
    this.eventData = eventData;
  }

  /**    Set the userid
   * @param val   userid
   */
  public void setUserid(int val) {
    userid = val;
  }

  /** Get the unique id
   *
   * @return int    the userid
   */
  public int getUserid() {
    return userid;
  }

  /** set the user
   *
   * @param val  UserVO user
   */
  public void setUser(UserVO val) {
    user = val;
    if (user != null) {
      userid = user.getId();
    }
  }

  /** Get the user
   *
   * @return UserVO     user, userVO
   */
  public UserVO getUser() {
    return user;
  }

  /** set the eventId
   *
   * @param val  int eventId
   */
  public void setEventId(int val) {
    eventId = val;
  }

  /** Get the eventId
   *
   * @return int     eventId
   */
  public int getEventId() {
    return eventId;
  }

  /** set the eventData
   *
   * @param val  String eventData
   */
  public void setEventData(String val) {
    eventData = val;
  }

  /** Get the eventData
   *
   * @return String     eventData
   */
  public String getEventData() {
    return eventData;
  }

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  public int hashCode() {
    return 31 * (userid + 1) * (eventId + 1);
  }

  public boolean equals(Object obj) {
    if (!(obj instanceof SynchDataVO)) {
      return false;
    }

    SynchDataVO that = (SynchDataVO)obj;

    return (userid == that.userid) && (eventId == that.eventId);
  }
}
