package edu.washington.cac.calfacade.shared.filter;

import java.util.Iterator;

import edu.washington.cac.calfacade.shared.EventVO;

/**
  A filter that is composed of a boolean AND of zero or more filters

  @author Greg Barnes
  @version 1.0
 */
public class AndFilterVO extends FilterVO {
  /** Test if this event passes the test
   *
   * @param e Event to test
   * @return If the filter selects the event
   */
  public boolean match(EventVO e) {
    Iterator i = getChildren().iterator();

    while (i.hasNext()) {
      if (!(((FilterVO)i.next()).match(e))) {
        return false;
      }
    }

    return true;
  }

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  public String toString() {
    StringBuffer sb = new StringBuffer();

    sb.append("AndFilterVO{id=");
    sb.append(id);
    sb.append(", name=");
    sb.append(getName());
    sb.append("}");

    return sb.toString();
  }

  public Object clone() {
    AndFilterVO f = new AndFilterVO();

    copyTo(f);

    return f;
  }
}
