package edu.washington.cac.calfacade.shared.filter;

/** Base object which is closest to the db representation.
 * Possibly used for ejb or hibernate mapping generation.
 *
 * <p>A calendar in UWCal. This value object does no consistency or validity
 * checking. A calendar db object is a stored filter. It is really an OrFilter
 *
 * <p>This object is intended to allow applications to interact with the
 * calendar back end. It does not represent the internal stored structure of a
 * calendar object.
 *
 *   @author Mike Douglass douglm@rpi.edu
 *  @version 1.0
 */
public class CalendarVO extends OrFilterVO {
  /* Predefined main calendar name - the root of the public calendars. */

  /* !!!!!!!!!!!!!!!!!!! make a property !!!!!!!!!!!!!!!!! */
  public static final String rootCalendarName = "Main Calendars";

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  public String toString() {
    StringBuffer sb = new StringBuffer();

    sb.append("CalendarVO{id=");
    sb.append(id);
    sb.append(", name=");
    sb.append(getName());
    sb.append("}");

    return sb.toString();
  }

  public Object clone() {
    CalendarVO f = new CalendarVO();

    copyTo(f);

    return f;
  }
}
