package edu.washington.cac.calfacade.shared.filter;

import edu.washington.cac.calfacade.shared.EventVO;

/**
  A filter that selects no events

  @author Greg Barnes
  @version 1.0
 */
public class NoFilterVO extends FilterVO {
  /**
    Does the filter select the event?
    @return If the filter selects the event
    @param e Event to test
   */
  public boolean match(EventVO e)
  {
    return false;
  }

  /**
    Get a human-readable name for the calendar represented by the filter
    @return a human-readable name for the calendar represented by the filter
   */
  public String getName()
  {
    return "nothing";
  }

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  /**
    Is this filter the same as another object?
    @param o Object to check against
    @return Is this filter the same as the object?
   */
  public boolean equals(Object o)
  {
    return o instanceof NoFilterVO;
  }

  public String toString() {
    StringBuffer sb = new StringBuffer();

    sb.append("NoFilterVO{id=");
    sb.append(id);
    sb.append(", name=");
    sb.append(getName());
    sb.append("}");

    return sb.toString();
  }

  public Object clone() {
    NoFilterVO f = new NoFilterVO();

    copyTo(f);

    return f;
  }
}
