package edu.washington.cac.calfacade.shared.filter;

import java.util.Collection;
import java.util.Iterator;

import edu.washington.cac.calfacade.shared.EventVO;

/**
  A filter that is composed of a boolean OR of zero or more filters

  @author Greg Barnes
  @version 2.0
 */
public class OrFilterVO extends FilterVO {
  public OrFilterVO() {}

  public OrFilterVO(String name, FilterVO parent) {
    super(name,  parent);
  }

  public OrFilterVO(int id, String name, FilterVO parent) {
    super(id, name,  parent);
  }

  /** Test if this event passes the test
   *
   * @param             e Event to test
   * @return boolean    true if the filter selects the event
   */
  public boolean match(EventVO e) {
    Iterator i = getChildren().iterator();

    while (i.hasNext()) {
      if (((FilterVO) i.next()).match(e)) {
        return true;
      }
    }

    return false;
  }

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  public String toString() {
    StringBuffer sb = new StringBuffer();

    sb.append("OrFilterVO{id=");
    sb.append(id);
    sb.append(", name=");
    sb.append(getName());
    sb.append("}");

    return sb.toString();
  }

  public Object clone() {
    OrFilterVO f = new OrFilterVO();

    copyTo(f);

    return f;
  }
}
