package edu.washington.cac.calfacade.shared.filter;

import edu.washington.cac.calfacade.shared.EventVO;

/**
  A filter that selects all events

  @author Greg Barnes
  @version 1.0
 */
public class SelectAllFilterVO extends FilterVO
{
  /**
    Get an internal name for the calendar represented by the filter
    @return an internal name for the calendar represented by the filter
   */
  public String getName()
  {
    return "all";
  }

  /**
    Get a human-readable name for the calendar represented by the filter
    @return a human-readable name for the calendar represented by the filter
   */
  public String getTitle()
  {
    return "all";
  }

  /**
    @return true (matches all events)
    @param e Ignored
   */
  public boolean match(EventVO e)
  {
    return true;
  }

  /* ====================================================================
   *                   Object methods
   * ==================================================================== */

  public String toString() {
    StringBuffer sb = new StringBuffer();

    sb.append("SelectAllFilterVO{id=");
    sb.append(id);
    sb.append(", name=");
    sb.append(getName());
    sb.append("}");

    return sb.toString();
  }

  public Object clone() {
    SelectAllFilterVO f = new SelectAllFilterVO();

    copyTo(f);

    return f;
  }
}
