/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.uwcal.synch.common;

import edu.washington.cac.calfacade.shared.EventVO;
import edu.washington.cac.calfacade.shared.SynchStateVO;

import net.fortuna.ical4j.model.component.VEvent;

/** Represents the synchronization state of an event.
 *
 *  @author Mike Douglass douglm@rpi.edu
 *  @version 1.0
 */
public class IcalSynchState extends SynchStateVO {
  /** The ical event this refers to. This may be null if the event is deleted
   */
  private VEvent vevent;

  /** set the vevent
   *
   * @param val  VEvent event
   */
  public void setVevent(VEvent val) {
    vevent = val;
  }

  /** Get the vevent
   *
   * @return VEvent     event
   */
  public VEvent getVevent() {
    return vevent;
  }
}
