/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.tests.washington.cac.calendar.data;

/* temp disable
import edu.washington.cac.calendar.data.Event;
import edu.washington.cac.calendar.data.NoRecurrence;
import edu.washington.cac.calendar.data.PublicEvents;
import edu.washington.cac.calendar.data.User;
import edu.washington.cac.calendar.db.DBResources;
*/

import java.sql.Date;
import java.text.DateFormat;
import java.sql.Timestamp;
import java.util.HashMap;
import java.util.Iterator;

import junit.framework.TestCase;

/** Common class for data class tests.
 *
 * @author Mike Douglass     douglm@rpi.edu
 * @version 1.0
 */
public class DataTestCommon extends TestCase {
  /*
  HashMap events = new HashMap();
  HashMap checkTable;
  User usr = new User("caladmin");
  PublicEvents pe;

  /** Data for events we create
   * /
  private static class EventInfo {
    Date start;
    Date end;
    Timestamp lastmod;
    Timestamp created;

    EventInfo(Date start, Date end, Timestamp lastmod, Timestamp created) {
      this.start = start;
      this.end = end;
      this.lastmod = lastmod;
      this.created = created;
    }
  }

  EventInfo[] eventsInfo = {
    new EventInfo(
      sqlDate("January 12, 2004 3:00 pm"),
      sqlDate("January 12, 2004 4:00 pm"),
      sqlTimestamp("January 11, 2004 3:30 pm"),
      sqlTimestamp("January 11, 2004 3:30 pm")),

    new EventInfo(
      sqlDate("January 14, 2004 1:00 pm"),
      sqlDate("January 14, 2004 4:00 pm"),
      sqlTimestamp("January 11, 2004 3:32 pm"),
      sqlTimestamp("January 11, 2004 3:32 pm")),
  };

  /* ====================================================================
   *                   Package/protected methods
   * ==================================================================== * /

  protected void init() throws Throwable {
    try {
      usr.logon();
    } catch (Throwable t) {
      t.printStackTrace();
      throw new RuntimeException("Unable to set user " + usr);
    }

    pe = PublicEvents.getPublicEvents(usr);
  }

  protected boolean addEvent(Event e) {
    try {
      pe.add(e, true);
      System.out.println("Event added with id " + e.getId());

      Integer key = new Integer(e.getId());

      if (events.get(key) != null) {
        System.out.println("Event already exists with id " + e.getId());
        return false;
      }

      events.put(key, e);
      return true;
    } catch (Throwable t) {
      t.printStackTrace();
      throw new RuntimeException("Exception adding event");
    }
  }

  protected boolean checkForEvent(Iterator it) {
    assertTrue(it.hasNext());
    Event e = (Event)it.next();

    Integer key = new Integer(e.getId());
    Event ourEvent = (Event)checkTable.get(key);

    if (ourEvent == null) {
      System.out.println("Event with id " + e.getId() + " not in table");
      return false;
    }

    assertSame(e, ourEvent);
    checkTable.remove(key);

    return true;
  }

  protected Event newEvent(int i) throws Throwable {
    EventInfo ei = eventsInfo[i];

    return new Event(0, "Dummy event " + i,
                    "Long description for dummy event " + i,
                    ei.start,
                    null,
                    ei.end,
                    null,
                    true,   // public
                    null,
                    usr,
                    null, NoRecurrence.NO_RECUR, 1, 1,
                    0,
                    ei.lastmod,
                    ei.created);
  }

  protected static Date sqlDate(String dt) {
    try {
      return new Date(DateFormat.getDateTimeInstance(
               DateFormat.LONG, DateFormat.SHORT).parse(dt).getTime());
    } catch (Throwable t) {
      throw new RuntimeException(t);
    }
  }

  protected static Timestamp sqlTimestamp(String dt) {
    try {
      return new Timestamp(DateFormat.getDateTimeInstance(
               DateFormat.LONG, DateFormat.SHORT).parse(dt).getTime());
    } catch (Throwable t) {
      throw new RuntimeException(t);
    }
  }

  /* ====================================================================
   *                   Private methods
   * ==================================================================== */
}

