/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.tests.washington.cac.calfacade;

import edu.washington.cac.calfacade.shared.MyCalendarVO;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.sql.Time;

import junit.framework.TestCase;

/** Test the MyCalendarVO class
 *
 * @author Mike Douglass       douglm@rpi.edu
 */
public class MyCalendarVOTest extends TestCase {
  private MyCalendarVO mc;

  private boolean debug = true;

  public void testMyCalendarVO() throws Throwable {
    SimpleDateFormat fmt = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss",
                                                Locale.US);
    Date dt = fmt.parse("2004-10-10 10:11:12");
    Time tm = new Time(dt.getTime());

    showStuff(dt, tm, Locale.US);
    showStuff(dt, tm, Locale.CHINA);
    showStuff(dt, tm, Locale.GERMAN);
  }

  public void showStuff(Date dt, Time tm, Locale loc) {
    try {
      MyCalendarVO mc = new MyCalendarVO(dt, tm, loc);

      String[] days = mc.getDayNames();
      String[] sdays = mc.getShortDayNames();

      StringBuffer sb = new StringBuffer(loc.toString());

      sb.append(": ");
      for (int i = 0; i < days.length; i++) {
        sb.append(days[i]);
        sb.append(" ");
      }

      System.out.println(sb);

      sb = new StringBuffer(loc.toString());

      sb.append(": ");
      for (int i = 0; i < sdays.length; i++) {
        sb.append(sdays[i]);
        sb.append(" ");
      }

      System.out.println(sb);

      sb = new StringBuffer(loc.toString());
      sb.append(": ");

      sb.append(mc.getMonthName());
      sb.append(" ");
      sb.append(mc.getShortMonthName());

      System.out.println(sb);

      MyCalendarVO.SqlDateTime sdt = mc.getSqlDateTime();

      sb = new StringBuffer("MyCalendarVO{");
      sb.append(mc);
      sb.append("} SqlDateTime{");
      sb.append(sdt.dt);
      sb.append(" ");
      sb.append(sdt.tm);
      sb.append("}");

      System.out.println(sb);
    } catch (Throwable t) {
      t.printStackTrace();
      fail(t.getMessage());
    }
  }
}

