/* **********************************************************************
    Copyright 2003 Rensselaer Polytechnic Institute.

    All worldwide rights reserved. A license to use, copy, modify and
    distribute this software for noncommercial research purposes only is
    hereby granted, provided that this copyright notice and accompanying
    disclaimer is not modified or removed from the software.

    DISCLAIMER: The software is distributed" AS IS" without any express or
    implied warranty, including but not limited to, any implied warranties
    of merchantability or fitness for a particular purpose or any warrant)'
    of non-infringement of any current or pending patent rights. The authors
    of the software make no representations about the suitability of this
    software for any particular purpose. The entire risk as to the quality
    and performance of the software is with the user. Should the software
    prove defective, the user assumes the cost of all necessary servicing,
    repair or correction. In particular, neither Rensselaer Polytechnic
    Institute, nor the authors of the software are liable for any indirect,
    special, consequential, or incidental damages related to the software,
    to the maximum extent the law permits.
*/

package edu.rpi.cct.httpunit.admin;

import com.meterware.httpunit.SubmitButton;
import com.meterware.httpunit.WebConversation;
import com.meterware.httpunit.WebForm;
import com.meterware.httpunit.WebRequest;
import com.meterware.httpunit.WebResponse;

/** Class to run httpunit tests on the admin client. We assume a
 * reinitialised database.
 *
 * <p>These tests will leave the system in a suitable state to run the
 * public user client tests.
 *
 * <p>Following that we run the AdminPlusUser tests which update and see if
 * the changes are reflected appropriately in the public user client.
 */
public class TestAdmin {
  private static final String urlBase = "http://localhost:8080";

  private static final String contextRoot = "caladmin";

  private WebConversation wc;

  private TestAdminUtils util;

  public static void main( String args[] ) {
    TestAdmin ta = new TestAdmin();

    ta.doTest();
  }

  public TestAdmin() {
    wc = new WebConversation();
    util = new TestAdminUtils(urlBase, contextRoot, wc);
  }

  public void doTest() {
    new TestAdminBasics(util).doTest();

    util.printStats();
  }
}

